#ifndef __OSP_CFG_TO_BIN_H__
#define __OSP_CFG_TO_BIN_H__

#define APE_CFG_FILE_NAME_LEN   (64)
#define APE_CFG_FILE_NUM        (64)

typedef struct OSP_CFG_FILE_REG
{
    char name[APE_CFG_FILE_NAME_LEN];
    uint32_t phy_addr;
    uint32_t len;
}osp_cfg_file_reg;


typedef struct OSP_SPE_CFG_FILE_REG
{
    char name[APE_CFG_FILE_NAME_LEN];
    uint64_t vir_addr;
    uint32_t len;
}osp_spe_cfg_file_reg;

extern int32_t osp_read_cfg_file(void);


/* TestMac interface */
extern int32_t osp_read_spe_cfg_file(char* path);
extern int32_t osp_get_cfg_file(char* name, uint64_t *paddr, uint32_t *psize);

#ifdef HEARTBEAT_ENABLE
extern int8_t  osp_get_im2ddr_to_file(uint8_t u8CoreId);
#endif

#endif  /* __OSP_CFG_TO_BIN_H__ */

